lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "duck_sum/version"

Gem::Specification.new do |spec|
  spec.name          = "duck_sum"
  spec.version       = DuckSum::VERSION
  spec.authors       = ["LWFlouisa"]
  spec.email         = ["lwflouisa@riseup.net"]

  spec.summary       = %q{Personal repository for Duck Sum.}
  spec.description   = %q{Duck Sum is a Compound Word Associational Network form of machine learning. This prints out a QR Code using RQRCode. Minimal data collection is done using Duckduckgo.}
  spec.homepage      = "https://compound-word-associational-network.glitch.me/README.md"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  
  spec.add_runtime_dependency 'duckduckgo', '~> 0.1.7'
  spec.add_runtime_dependency 'rqrcode', '~> 1.1', '>= 1.1.2'
end
